[PVFS2-CVS]
commit by pcarns in pvfs2/test/automated: single-node-kernel-test.sh
CVS commit program
cvs at parl.clemson.edu
Fri May 7 11:06:14 EDT 2004
Update of /projects/cvsroot/pvfs2/test/automated
In directory parlweb:/tmp/cvs-serv12252
Modified Files:
single-node-kernel-test.sh
Log Message:
run pvfs2-shell-test during nightly automated kernel tests
Index: single-node-kernel-test.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2/test/automated/single-node-kernel-test.sh,v
diff -p -u -r1.2 -r1.3
--- single-node-kernel-test.sh 21 Apr 2004 17:10:06 -0000 1.2
+++ single-node-kernel-test.sh 7 May 2004 14:06:14 -0000 1.3
@@ -66,8 +66,17 @@ if [ $? -ne 0 ] ; then
fi
###################################################
-# TODO : run tests here
-sleep 3
+# begin tests
+
+bash $srcdir/test/kernel/linux-2.6/pvfs2-shell-test.sh $rootdir/INSTALL-pvfs2/mnt/pvfs2 > /tmp/pvfs2-shell-test.${USER} 2>&1
+if [ $? -ne 0 ] ; then
+ cat /tmp/pvfs2-shell-test.${USER}
+else
+ # only show summary of output if it succeeds
+ cat /tmp/pvfs2-shell-test.${USER} | grep PASS
+fi
+
+# end tests
###################################################
./kmod_ctrl.sh $rootdir stop
More information about the PVFS2-CVS
mailing list